    [Serializable]
    [Flags]
    public enum EditRights {
        /// <summary>
        /// Нет прав
        /// </summary>
        None = 0,
        /// <summary>
        /// Чтение
        /// </summary>
        Read = 2,
        /// <summary>
        /// Добавление
        /// </summary>
        Insert = 4,
        /// <summary>
        /// Обновление
        /// </summary>
        Update = 8,
        /// <summary>
        /// Удаление
        /// </summary>
        Delete = 16,
        /// <summary>
        /// Запись: добавление, обновление, удаление
        /// </summary>
        Write = Insert | Update | Delete,
        /// <summary>
        /// Полный доступ: чтение, добавление, обновление, удаление
        /// </summary>
        Full = Read | Write,
    }

