package com.emsoft.common


/**
 * @author Vladimir Zhukov
 */
class ValidateInfo extends ResultInfo<String, ValidateResult> {

    ValidateInfo() {
        this(ValidateResult.Success)
    }

    ValidateInfo(ValidateResult result) {
        this(StringHelper.EMPTY, result)
    }

    ValidateInfo(String value, ValidateResult result) {
        super(value, result, StringHelper.EMPTY)
    }
}