package com.emsoft.exceptions

import com.emsoft.common.Assert

/**
 * @author Vladimir Zhukov
 */
class ExceptionInfo {

    ExceptionMode mode
    boolean showStackTrace
    boolean canContinue
    Exception exception

    ExceptionInfo(Exception ex, ExceptionMode showMode = ExceptionMode.THROW_EXCEPTION,
            boolean showStackTrace = false, boolean canContinue = false) {
        Assert.notNull(ex, "ex")
        this.exception = ex
        this.mode = showMode
        this.showStackTrace = showStackTrace
        this.canContinue = canContinue
    }
}