package com.emsoft.exceptions

import com.emsoft.common.StringHelper

/**
 * @author Vladimir Zhukov
 */
class TypeMismatchException extends BaseRuntimeException {

    private static final long serialVersionUID = -4309764244969915668L

    TypeMismatchException() {
        this(StringHelper.EMPTY)
    }

    TypeMismatchException(String message) {
        this(message, null)
    }

    TypeMismatchException(String message, Exception innerException) {
        super(message, innerException)
    }
}