package com.emsoft.observer;

import com.emsoft.events.EventArgs;

/**
 * @author Vladimir Zhukov
 * @param < TEventArg >
 */
public interface Observer<TEventArg extends EventArgs<?, ?>> {

    void notification(Observable<? extends Observer<TEventArg>, TEventArg> sender, TEventArg arg);
}